import { BodyParser, Encoder, HttpResponse, MetadataBearer, OperationModel, ResponseParser, StreamCollector, ServiceExceptionParser } from "@aws-sdk/types";
export declare class JsonRpcParser<StreamType> implements ResponseParser<StreamType> {
    private readonly bodyParser;
    private readonly parseServiceException;
    private readonly bodyCollector;
    private readonly utf8Encoder;
    constructor(bodyParser: BodyParser, parseServiceException: ServiceExceptionParser, bodyCollector: StreamCollector<StreamType>, utf8Encoder: Encoder);
    parse<OutputType extends MetadataBearer>(operation: OperationModel, input: HttpResponse<StreamType>): Promise<OutputType>;
    private resolveBodyString;
}
