"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var JsonRpcSerializer = /** @class */ (function () {
    function JsonRpcSerializer(endpoint, bodySerializer) {
        this.endpoint = endpoint;
        this.bodySerializer = bodySerializer;
    }
    JsonRpcSerializer.prototype.serialize = function (operation, input) {
        var httpTrait = operation.http, _a = operation.metadata, jsonVersion = _a.jsonVersion, targetPrefix = _a.targetPrefix, name = operation.name;
        return tslib_1.__assign({}, this.endpoint, { headers: {
                "X-Amz-Target": targetPrefix + "." + name,
                "Content-Type": "application/x-amz-json-" + jsonVersion
            }, body: this.bodySerializer.build({ operation: operation, input: input }), path: httpTrait.requestUri, method: httpTrait.method });
    };
    return JsonRpcSerializer;
}());
exports.JsonRpcSerializer = JsonRpcSerializer;
//# sourceMappingURL=JsonRpcSerializer.js.map